### base buffer class
package buffer;

sub new 
{
    my $class = shift;
    my $self = {
                 bytes => (),
               };
                
    bless $self, $class;
    return $self;
}

sub add_to_buffer
{
	my ($self, $para) = @_;

	push($self->{bytes}, $para);
}

1;
